/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: DefaultTranslator.java,v 12d91c8adbea 2010/07/23 23:39:52 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.taxonomy.birds;

import java.io.IOException;
import java.io.InputStream;
import javax.annotation.Nonnull;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class DefaultTranslator extends TaxonTranslator
  {
    @Nonnull
    private final Class<? extends BirdTaxonomyImporter> importerClass;

    @Nonnull
    private final String translatorConfigFileName;

    public DefaultTranslator (final @Nonnull Class<? extends BirdTaxonomyImporter> importerClass,
                              final @Nonnull String translatorConfigFileName)
      {
        this.importerClass = importerClass;
        this.translatorConfigFileName = translatorConfigFileName;
      }

    @Override
    public void loadConfiguration()
      throws IOException
      {
        final InputStream is = importerClass.getResourceAsStream(translatorConfigFileName);
        loadConfiguration(is);
        is.close();
      }
  }
